Package org.drinkless.tdlib

# Class TdApi.ResendMessages

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.Function<TdApi.Messages>
org.drinkless.tdlib.TdApi.ResendMessages

Enclosing class:
  `TdApi`

public static class TdApi.ResendMessages extends TdApi.Function<TdApi.Messages>
Resends messages which failed to send. Can be called only for messages for which messageSendingStateFailed.canRetry is true and after specified in messageSendingStateFailed.retryAfter time passed. If a message is re-sent, the corresponding failed to send message is deleted. Returns the sent messages in the same order as the message identifiers passed in messageIds. If a message can't be re-sent, null will be returned instead of the message.

Returns `Messages`

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.Function

  `TdApi.Function.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `long`
  `chatId`
  Identifier of the chat to send messages.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long[]`
  `messageIds`
  Identifiers of the messages to resend.
  `long`
  `paidMessageStarCount`
  The number of Telegram Stars the user agreed to pay to send the messages.
  `TdApi.InputTextQuote`
  `quote`
  New manually chosen quote from the message to be replied; pass null if none.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ResendMessages()`
  Default constructor for a function, which resends messages which failed to send.
  `ResendMessages(long chatId, long[] messageIds, TdApi.InputTextQuote quote, long paidMessageStarCount)`
  Creates a function, which resends messages which failed to send.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Function

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### chatId

    public long chatId
    Identifier of the chat to send messages.

  - ### messageIds

    public long[] messageIds
    Identifiers of the messages to resend. Message identifiers must be in a strictly increasing order.

  - ### quote

    public TdApi.InputTextQuote quote
    New manually chosen quote from the message to be replied; pass null if none. Ignored if more than one message is re-sent, or if messageSendingStateFailed.needAnotherReplyQuote == false.

  - ### paidMessageStarCount

    public long paidMessageStarCount
    The number of Telegram Stars the user agreed to pay to send the messages. Ignored if messageSendingStateFailed.requiredPaidMessageStarCount == 0.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ResendMessages

    public ResendMessages()
    Default constructor for a function, which resends messages which failed to send. Can be called only for messages for which messageSendingStateFailed.canRetry is true and after specified in messageSendingStateFailed.retryAfter time passed. If a message is re-sent, the corresponding failed to send message is deleted. Returns the sent messages in the same order as the message identifiers passed in messageIds. If a message can't be re-sent, null will be returned instead of the message.

    Returns `Messages`

  - ### ResendMessages

    public ResendMessages(long chatId, long[] messageIds, TdApi.InputTextQuote quote, long paidMessageStarCount)
    Creates a function, which resends messages which failed to send. Can be called only for messages for which messageSendingStateFailed.canRetry is true and after specified in messageSendingStateFailed.retryAfter time passed. If a message is re-sent, the corresponding failed to send message is deleted. Returns the sent messages in the same order as the message identifiers passed in messageIds. If a message can't be re-sent, null will be returned instead of the message.

    Returns `Messages`

    Parameters:
      `chatId` - Identifier of the chat to send messages.
      `messageIds` - Identifiers of the messages to resend. Message identifiers must be in a strictly increasing order.
      `quote` - New manually chosen quote from the message to be replied; pass null if none. Ignored if more than one message is re-sent, or if messageSendingStateFailed.needAnotherReplyQuote == false.
      `paidMessageStarCount` - The number of Telegram Stars the user agreed to pay to send the messages. Ignored if messageSendingStateFailed.requiredPaidMessageStarCount == 0.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Function<TdApi.Messages>`
    Returns:
      this.CONSTRUCTOR